Skip to main content
PATCH
Update file system

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

file_system_key
string
required

Body

application/json
display_name
string

Update has no key to fall back on, so an explicitly supplied display_name may not be empty; Create defaults an omitted one to the key.

Required string length: 1 - 255
description
string
Maximum string length: 4096
path
string
external_access
enum<string>
Available options:
disabled,
read_only,
read_write
sharing
object

Sharing controls which projects in the workspace may use this entity and what they may do with it.

Response

File system successfully updated.

key
string
required

The unique key of the file system. The key is unique and immutable and cannot be repeated within the same workspace.

Required string length: 1 - 255
Pattern: ^[A-Za-z]([A-Za-z0-9]*([._][A-Za-z0-9]+)*)?$
display_name
string
required

Human readable name shown in the UI

description
string
required

The description of the file system. Be as precise as possible to help the AI understand what the file system is for.

project_id
string
required

Identifier of the project the file system belongs to

external_access
enum<string>
required

Whether external MCP clients may reach this file system, and with which access

Available options:
disabled,
read_only,
read_write
created
string
required

The creation date of the file system

updated
string
required

The last update date of the file system

id
string

The unique identifier of the file system

created_by_id
string | null

The user ID of the creator

updated_by_id
string | null

The user ID of the last updater

sharing
object

Sharing controls which projects in the workspace may use this entity and what they may do with it.

used_bytes
string | null

Apparent size of the file system in bytes at the last metering. Absent until first metered.

used_inodes
string | null

Number of files and directories in the file system at the last metering. Absent until first metered.

last_metered_at
string | null

When usage was last measured. Absent until first metered.